Merge branch '2.1.x'

This commit is contained in:
Phillip Webb 2019-06-04 14:31:57 -07:00
commit db75347eb6
36 changed files with 45 additions and 39 deletions

View File

@ -14,4 +14,4 @@ case "$1" in
*) *)
echo $"Unknown java version" echo $"Unknown java version"
exit 1 exit 1
esac esac

View File

@ -43,4 +43,4 @@ if [[ ${existing_jdk_issues} = "" ]]; then
POST "https://api.github.com/repos/${GITHUB_ORGANIZATION}/${GITHUB_REPO}/issues" > /dev/null || { echo "Failed to create issue" >&2; exit 1; } POST "https://api.github.com/repos/${GITHUB_ORGANIZATION}/${GITHUB_REPO}/issues" > /dev/null || { echo "Failed to create issue" >&2; exit 1; }
else else
echo "Issue already exists." echo "Issue already exists."
fi fi

View File

@ -8,4 +8,4 @@ caches:
- path: maven - path: maven
- path: gradle - path: gradle
run: run:
path: git-repo/ci/scripts/build-project.sh path: git-repo/ci/scripts/build-project.sh

View File

@ -125,4 +125,4 @@
<option name="USE_TAB_CHARACTER" value="true"/> <option name="USE_TAB_CHARACTER" value="true"/>
</indentOptions> </indentOptions>
</codeStyleSettings> </codeStyleSettings>
</code_scheme> </code_scheme>

View File

@ -60,7 +60,9 @@
<suppressionsLocation>src/checkstyle/checkstyle-suppressions.xml</suppressionsLocation> <suppressionsLocation>src/checkstyle/checkstyle-suppressions.xml</suppressionsLocation>
<includeTestSourceDirectory>true</includeTestSourceDirectory> <includeTestSourceDirectory>true</includeTestSourceDirectory>
<propertyExpansion>main.basedir=${main.basedir}</propertyExpansion> <propertyExpansion>main.basedir=${main.basedir}</propertyExpansion>
<resourceIncludes>**\/*.*</resourceIncludes> <sourceDirectories>./</sourceDirectories>
<includes>**/*</includes>
<excludes>.git/**/*,target/**/*</excludes>
</configuration> </configuration>
<goals> <goals>
<goal>check</goal> <goal>check</goal>

View File

@ -3,4 +3,4 @@ MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDdlatRjRjogo3WojgGHFHYLugd
UWAY9iR3fy4arWNA1KoS8kVw33cJibXr8bvwUAUparCwlvdbH6dvEOfou0/gCFQs UWAY9iR3fy4arWNA1KoS8kVw33cJibXr8bvwUAUparCwlvdbH6dvEOfou0/gCFQs
HUfQrSDv+MuSUMAe8jzKE4qW+jK+xQU9a03GUnKHkkle+Q0pX/g6jXZ7r1/xAK5D HUfQrSDv+MuSUMAe8jzKE4qW+jK+xQU9a03GUnKHkkle+Q0pX/g6jXZ7r1/xAK5D
o2kQ+X5xK9cipRgEKwIDAQAB o2kQ+X5xK9cipRgEKwIDAQAB
-----END PUBLIC KEY----- -----END PUBLIC KEY-----

View File

@ -113,4 +113,4 @@ if $cygwin; then
fi fi
IFS=" " read -r -a javaOpts <<< "$JAVA_OPTS" IFS=" " read -r -a javaOpts <<< "$JAVA_OPTS"
"${JAVA_HOME}/bin/java" "${javaOpts[@]}" -cp "$CLASSPATH" org.springframework.boot.loader.JarLauncher "$@" "${JAVA_HOME}/bin/java" "${javaOpts[@]}" -cp "$CLASSPATH" org.springframework.boot.loader.JarLauncher "$@"

View File

@ -28,4 +28,4 @@
<xsl:template match="/m:project/m:properties/m:revision" /> <xsl:template match="/m:project/m:properties/m:revision" />
<xsl:template match="/m:project/m:properties/m:main.basedir" /> <xsl:template match="/m:project/m:properties/m:main.basedir" />
<xsl:template match="/m:project/m:distributionManagement" /> <xsl:template match="/m:project/m:distributionManagement" />
</xsl:stylesheet> </xsl:stylesheet>

View File

@ -3,4 +3,4 @@
<xsl:copy-of select="projects/*[1]" /> <xsl:copy-of select="projects/*[1]" />
<xsl:copy-of select="*[local-name()='project']" /> <xsl:copy-of select="*[local-name()='project']" />
</xsl:template> </xsl:template>
</xsl:stylesheet> </xsl:stylesheet>

View File

@ -1,22 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<!--
~ Copyright 2012-2019 the original author or authors.
~
~ Licensed under the Apache License, Version 2.0 (the "License");
~ you may not use this file except in compliance with the License.
~ You may obtain a copy of the License at
~
~ https://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing, software
~ distributed under the License is distributed on an "AS IS" BASIS,
~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
~ See the License for the specific language governing permissions and
~ limitations under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"> xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion> <modelVersion>4.0.0</modelVersion>
<parent> <parent>
<groupId>org.springframework.boot</groupId> <groupId>org.springframework.boot</groupId>

View File

@ -19,4 +19,4 @@
</sources> </sources>
</moduleSet> </moduleSet>
</moduleSets> </moduleSets>
</assembly> </assembly>

View File

@ -274,4 +274,4 @@ inline fun <reified T : Any> TestRestTemplate.exchange(url: URI, method: HttpMet
*/ */
@Throws(RestClientException::class) @Throws(RestClientException::class)
inline fun <reified T : Any> TestRestTemplate.exchange(requestEntity: RequestEntity<*>): ResponseEntity<T> = inline fun <reified T : Any> TestRestTemplate.exchange(requestEntity: RequestEntity<*>): ResponseEntity<T> =
exchange(requestEntity, object : ParameterizedTypeReference<T>() {}) exchange(requestEntity, object : ParameterizedTypeReference<T>() {})

View File

@ -19,4 +19,4 @@ package org.test;
fun main(args: Array<String>) { fun main(args: Array<String>) {
} }

View File

@ -72,4 +72,4 @@ class KotlinConfigurationPropertiesBeanRegistrarTests {
} }
} }

View File

@ -205,4 +205,4 @@ class KotlinConstructorParametersBinderTests {
val stringValue: String = "my data", val stringValue: String = "my data",
val enumValue: ExampleEnum = ExampleEnum.BAR_BAZ) val enumValue: ExampleEnum = ExampleEnum.BAR_BAZ)
} }

View File

@ -4,4 +4,4 @@ spring:
resource: resource:
jwt: jwt:
# To run the application, replace this with a valid JWK Set URI # To run the application, replace this with a valid JWK Set URI
jwk-set-uri: https://example.com/oauth2/default/v1/keys jwk-set-uri: https://example.com/oauth2/default/v1/keys

View File

@ -22,4 +22,4 @@ spring:
client-secret: ${YAHOO-CLIENT-SECRET} client-secret: ${YAHOO-CLIENT-SECRET}
provider: provider:
yahoo-oidc: yahoo-oidc:
issuer-uri: https://api.login.yahoo.com issuer-uri: https://api.login.yahoo.com

View File

@ -4,4 +4,4 @@ spring:
resourceserver: resourceserver:
jwt: jwt:
# To run the application, replace this with a valid JWK Set URI # To run the application, replace this with a valid JWK Set URI
jwk-set-uri: https://example.com/oauth2/default/v1/keys jwk-set-uri: https://example.com/oauth2/default/v1/keys

View File

@ -3,4 +3,4 @@
<h1>Hello</h1> <h1>Hello</h1>
Hello World! Hello World!
</body> </body>
</html> </html>

View File

@ -1,4 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<glassfish-web-app error-url=""> <glassfish-web-app error-url="">
<class-loader delegate="false"/> <class-loader delegate="false"/>
</glassfish-web-app> </glassfish-web-app>

View File

@ -3,8 +3,13 @@
"-//Checkstyle//DTD SuppressionFilter Configuration 1.2//EN" "-//Checkstyle//DTD SuppressionFilter Configuration 1.2//EN"
"https://checkstyle.org/dtds/suppressions_1_2.dtd"> "https://checkstyle.org/dtds/suppressions_1_2.dtd">
<suppressions> <suppressions>
<suppress files="[\\/]target[\\/]" checks=".*" /> <suppress files="\.DS_Store" checks=".*" />
<suppress files=".+\.[jar|git|ico|p12]" checks=".*" /> <suppress files="[\\/]\.flattened-pom\.xml" checks=".*" />
<suppress files="[\\/]transaction-logs[\\/]" checks=".*" />
<suppress files="[\\/]target[\\/]" checks=".*" />
<suppress files="[\\/]build.log" checks=".*" />
<suppress files=".+\.[jar|git|ico|p12|svg|png]" checks=".*" />
<suppress files="eclipse[\\/]spring-boot-project.setup" checks="NoHttp"/>
<suppress files="SpringApplicationTests\.java" checks="FinalClass" /> <suppress files="SpringApplicationTests\.java" checks="FinalClass" />
<suppress files=".+Configuration\.java" checks="HideUtilityClassConstructor" /> <suppress files=".+Configuration\.java" checks="HideUtilityClassConstructor" />
<suppress files=".+Application\.java" checks="HideUtilityClassConstructor" /> <suppress files=".+Application\.java" checks="HideUtilityClassConstructor" />

View File

@ -1 +1,2 @@
^http://livereload.com/protocols/official-7$ ^http://livereload.com/protocols/official-7.*
^http://exslt.org/common.*